Subject: Re: [Teas] I-D Action: draft-ietf-teas-actn-vn-yang-12.txt

From: tom petch <[email-masked]>
Date: Tue, 14 Sep 2021 11:44:37 +0000

From: Teas <[email-masked]> on behalf of Dhruv Dhody <[email-masked]>
Sent: 25 August 2021 18:49

Hi WG,

Following changes are made in this update -

- Resolved the issue with /ap/ap/.. and /vn/vn/.. in the YANG model
- Added an empty container "underlay" with this text -
Note that the YANG model is tightly coupled with the TE Topology model [RFC8795<https://www.ietf.org/archive/id/draft-ietf-teas-actn-vn-yang-12.html#RFC8795>]. Any underlay technology not supported by [RFC8795<https://www.ietf.org/archive/id/draft-ietf-teas-actn-vn-yang-12.html#RFC8795>] is also not supported by this model. The model does include an empty container called "underlay" that can be augmented. For example the SR-policy information can be augmented for the SR underlay by a future model.
- Updated the description for vn-compute-status

<tp>

I like the changes in the identifiers!

s.1.3
wrong prefix for te-topo.  The YANG module import is ok.

Tom Petch

See https://www.ietf.org/rfcdiff?url2=draft-ietf-teas-actn-vn-yang-12

Thanks!
Dhruv

On Wed, Aug 25, 2021 at 9:24 PM <[email-masked]<mailto:[email-masked]>> wrote:

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Traffic Engineering Architecture and Signaling WG of the IETF.

        Title           : A YANG Data Model for VN Operation
        Authors         : Young Lee
                          Dhruv Dhody
                          Daniele Ceccarelli
                          Igor Bryskin
                          Bin Yeong Yoon
        Filename        : draft-ietf-teas-actn-vn-yang-12.txt
        Pages           : 60
        Date            : 2021-08-25

Abstract:
   This document provides a YANG data model generally applicable to any
   mode of Virtual Network (VN) operation.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-teas-actn-vn-yang/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-teas-actn-vn-yang-12.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-teas-actn-vn-yang-12

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
Teas mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/teas

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Thu, 16 Sep 2021 03:01:27 +0000

Hi authors,

From our applicability consideration of this draft, we would like you to add CoS attribute to path-constraints if it's reasonable.
Regardless of DS-TE implementation, our usecase wants to specify the CoS as one of path-constraints. 

RFC8776 only defines the type of te-ds-class, but it is not used in te-types:generic-path-constraints.

At this time, we believe it's enough to just augment to add like this?
augment /ietf-te-types:path-constraints:
  +--rw leaf path-cos?    te-ds-class;

Typo:
Although I don't fully check , in Sec. 7.2. TE-topology JSON example, networks/network/te-topology-id should be networks/network/topology-id according to RFC8795/8776, te-types:te-topology-identifier.

Thanks,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of tom petch
Sent: Tuesday, September 14, 2021 8:45 PM
To: Dhruv Dhody <[email-masked]>; TEAS WG ([email-masked]) <[email-masked]>
Subject: Re: [Teas] I-D Action: draft-ietf-teas-actn-vn-yang-12.txt

Hi WG,

- Resolved the issue with /ap/ap/.. and /vn/vn/.. in the YANG model
- Added an empty container "underlay" with this text - Note that the YANG model is tightly coupled with the TE Topology model [RFC8795<https://www.ietf.org/archive/id/draft-ietf-teas-actn-vn-yang-12.html#RFC8795>]. Any underlay technology not supported by [RFC8795<https://www.ietf.org/archive/id/draft-ietf-teas-actn-vn-yang-12.html#RFC8795>] is also not supported by this model. The model does include an empty container called "underlay" that can be augmented. For example the SR-policy information can be augmented for the SR underlay by a future model.
- Updated the description for vn-compute-status

<tp>

s.1.3

Tom Petch

Thanks!
Dhruv

Abstract:

[email-masked]